%define name chrony
%define version 1.19
%define release 2mdk

Summary: Chrony clock synchronization program
Name: %{name}
Version: %{version}
Release: %{release}
Url: http://chrony.sunsite.dk/index.php
License: GPL
Group: System/Configuration/Other
Source: %{name}-%{version}.tar.bz2
Patch: chrony-1.19-fix.patch.bz2
Buildrequires: libtermcap-devel libncurses-devel
Buildroot: %{_tmppath}/%{name}-buildroot
Prereq: /sbin/chkconfig /bin/sh

%description
A pair of programs for keeping computer clocks accurate.
chronyd is a background (daemon) program and chronyc is a
command-line interface to it.  Time reference sources for
chronyd can be RFC1305 NTP servers, human (via keyboard and
chronyc), and the computer's real-time clock at boot time
(Linux only).  chronyd can determine the rate at which the
computer gains or loses time and compensate for it whilst no
external reference is present.  chronyd's use of NTP servers
can be switched on and off (through chronyc) to support
computers with dial-up/intermittent access to the
Internet. chronyd can also act as an RFC1305-compatible NTP
server.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n chrony-1.19
%patch -p1

%build
./configure --prefix=$RPM_BUILD_ROOT/usr
make
make info

%install
install -m 755 -d  $RPM_BUILD_ROOT/var/log/chrony

install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 755 -d $RPM_BUILD_ROOT/etc/logrotate.d/
install -m 755 chronyd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/chronyd
install -m 644 chrony.conf $RPM_BUILD_ROOT/etc/chrony.conf
install -m 644 chrony.keys $RPM_BUILD_ROOT/etc/chrony.keys
install -m 644 chrony.log $RPM_BUILD_ROOT/etc/logrotate.d/chrony

install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc0.d
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc1.d 
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc2.d 
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc3.d 
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc5.d
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/rc6.d  

ln -sf /etc/rc.d/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K20chronyd
ln -sf /etc/rc.d/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K20chronyd
ln -sf /etc/rc.d/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S60chronyd
ln -sf /etc/rc.d/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S60chronyd
ln -sf /etc/rc.d/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S60chronyd
ln -sf /etc/rc.d/init.d/chronyd $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K20chronyd
#make install

install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 -d $RPM_BUILD_ROOT%{_sbindir} 
install -m 755 chronyd $RPM_BUILD_ROOT%{_sbindir}
install -m 755 chronyc $RPM_BUILD_ROOT%{_bindir}

install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 chrony.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 chronyc.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 chronyd.8 $RPM_BUILD_ROOT%{_mandir}/man8

install -m 755 -d %buildroot/%_infodir
install -m 644 chrony.info* %buildroot/%_infodir

%pre
mkdir -p /var/log/chrony

%post 
 /sbin/install-info %_infodir/chrony.info.*bz2 %_infodir/dir
/sbin/chkconfig --add chronyd

%postun
rm -rf /var/log/chrony
rm -f /etc/chrony.drift /etc/chrony.rtc
 /sbin/install-info --delete %_infodir/chrony.info.*bz2 %_infodir/dir
/sbin/chkconfig --del chronyd

%files
%defattr (-,root,root)
%{_sbindir}/*
%{_bindir}/*
%dir /var/log/chrony
%config(noreplace) /etc/rc.d/init.d/chronyd
%config(noreplace) /etc/chrony.conf
%config(noreplace) /etc/chrony.keys
%config(noreplace) /etc/logrotate.d/chrony
%doc INSTALL README README.rh COPYING chrony.txt chrony.texi chrony.info* 
%_infodir/*
%_mandir/man1/*
%_mandir/man8/*

%changelog
* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.19-2mdk
- adjust buildrequires

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.19-1mdk
- from Aleksander Adamowski <olo@altkom.com.pl> :
	- update to version 1.19
- add manpages

* Fri Sep 20 2002 Aleksander Adamowski <olo@altkom.com.pl> 1.18-1mdk
	- update to version 1.18

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.17-3mdk
- rebuild for new readline

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.17-2mdk
- fixed by Vlatko Kosturjak <kost@linux-mandrake.com> :
	- fix for /etc/init.d/chronyd script (missing quote)
	- fix for info install/uninstall
	- support for chkconfig (chronyd is now visible in drakxservices)

* Thu Mar 07 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.17-1mdk
- updated by W. Unruh <unruh@physics.ubc.ca> :
	- update to version 1.17

* Thu Jun 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- update to 1.15

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 1.14-3mdk
- ExcludeArch: ppc
- Macros
- Spec clean up

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14-2mdk
- fix info pages

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.14-1mdk
- include fixes from :
 	Tue Sep 18 2000 W. Unruh <unruh@phsyics.ubc.ca> 1.14-1mdk
	-fix links in /etc/rc.d
	-update to version 1.14
- macros

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.11-2mdk
- fix group
- spec helper fixes

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fixed non-root build of the package
- bypass install script
- add correct links
- used original srpm provided by Per Wedin <perra@m-media.se>

* Sun Feb 06 2000 Per Wedin <perra@m-media.se>
- 1.11-2: Minor changes in chrony-1.11.spec
 
* Sat Feb 05 2000 Per Wedin <perra@m-media.se>
- New version: 1.11-1. First try...
 
* Wed Jun 24 1998 Corey Minyard <minyard@acm.org>
- Fixed all the configuration information so it went out correctly
 
* Mon Jun 22 1998 Corey Minyard <minyard@acm.org>
- Initial version.             
